﻿using System.IO;
using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();


            Stream leftStream = BAMLReader.GetResourceStream("TestLibrary", "ResourceDictionary.xaml");

            ResourceDictionary leftDictionary = BAMLReader.Load(leftStream) as ResourceDictionary;

            RadialGradientBrush leftBrush = leftDictionary["RadialGradientBrushKey"] as RadialGradientBrush;

            this.leftRectangle.Fill = leftBrush;


            Stream rightStream = BAMLReader.GetResourceStream("TestProject", "ResourceDictionary.xaml");

            ResourceDictionary rightDictionary = BAMLReader.Load(rightStream) as ResourceDictionary;

            LinearGradientBrush rightBrush = rightDictionary["LinearGradientBrushKey"] as LinearGradientBrush;

            this.rightRectangle.Fill = rightBrush;
        }

        #endregion
    }
}